package com.diss.omppapp.api;

import com.diss.omppapp.entities.AnswerEntity;
import com.diss.omppapp.entities.QuestionEntity;
import com.diss.omppapp.pojo.StudentResponse;
import com.diss.omppapp.services.MinutePaperService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@RestController
public class MinutePaperController {

    @Autowired
    private MinutePaperService minutePaperService;

    @PostMapping(value = "/getPaperQuestions",consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public List<QuestionEntity> getPaperQuestions(@RequestBody Map<String,String> request) {
       return minutePaperService.getQuestions(request.get("username"),request.get("paperId"));
    }

    @PostMapping(value = "/getPaperAnswers",consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public List<AnswerEntity> getPaperAnswers(@RequestBody Map<String,String> request) {
        return minutePaperService.getAnswers(request.get("username"),request.get("paperId"));
    }

    @PostMapping(value = "/saveDraft",consumes = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public String saveDraft(@RequestBody List<StudentResponse> request) {
        System.out.println(request.size());
        System.out.println(request.get(0).getAnswerText());
        return "heard";
    }
}
